Amazon's SDK for PHP

General plugins (Local) ::: local_aws
Maintained by Catalyst IT
A moodle plugin containing Amazon's SDK for PHP.

Amazon's SDK for PHP 3.133.32

Moodle 2.6, 2.7, 2.8, 2.9, 3.0, 3.2, 3.3, 3.4, 3.5, 3.6, 3.7, 3.8, 3.9, 3.10
Released: Friday, November 20, 2020, 6:44 AM

moodle-local_aws.svg?branch=master

AWS SDK - Moodle Plugin

A moodle plugin containing Amazon's SDK for PHP.

To use the SDK, simply include the autoloader contained within this plugin.

require_once($CFG->dirroot . '/local/aws/sdk/aws-autoloader.php');

If you are writing a plugin that will use this SDK, it is recommended that you add this to the plugin's version.php:

$plugin->dependencies = array(
    'local_aws' => 2017030100
);

Also you can use AWS region admin setting in your plugin like:

use local_aws\admin_settings_aws_region;

...

$settings->add(new admin_settings_aws_region('my_plugin/s3_region',
    new \lang_string('settings:aws:region', 'my_plugin'),
    new \lang_string('settings:aws:region_help', 'my_plugin'), ''));

Why does this exist?

There is a growing collection of various Moodle plugins that require these AWS libraries in order to work. We don't want to have multiple copies of these libraries bundled into each plugin, firstly because they are quite large, but also because it can cause issues with library namespaces and php auto loading.

Plugins that depend on this library are:

https://github.com/catalyst/moodle-local_smartmedia

https://github.com/catalyst/moodle-search_elastic

https://github.com/catalyst/moodle-tool_s3logs

https://github.com/catalyst/moodle-tool_objectfs

Supported Moodle Versions

This plugin requires Moodle 2.6+

Installation

You can install this plugin from the plugin directory or get the latest version on GitHub.

git clone https://github.com/catalyst/moodle-local_aws local/aws

Crafted by Catalyst IT

This plugin was developed by Catalyst IT Australia:

https://www.catalyst-au.net/

Catalyst IT

Contributing and Support

Issues, and pull requests using github are welcome and encouraged!

https://github.com/catalyst/moodle-local_aws/issues

If you would like commercial support or would like to sponsor additional improvements to this plugin please contact us:

https://www.catalyst-au.net/contact-us

Version information

Version build number
2020112000
Version release name
3.133.32
Maturity
Stable version
MD5 Sum
0b56f1270f127f900e37d4f4f5b7dba8
Supported software
Moodle 2.6, Moodle 2.7, Moodle 2.8, Moodle 2.9, Moodle 3.0, Moodle 3.2, Moodle 3.3, Moodle 3.4, Moodle 3.5, Moodle 3.6, Moodle 3.7, Moodle 3.8, Moodle 3.9, Moodle 3.10
  • Latest release for Moodle 2.6
  • Latest release for Moodle 2.7
  • Latest release for Moodle 2.8
  • Latest release for Moodle 2.9
  • Latest release for Moodle 3.0
  • Latest release for Moodle 3.2
  • Latest release for Moodle 3.3
  • Latest release for Moodle 3.4
  • Latest release for Moodle 3.5
  • Latest release for Moodle 3.6
  • Latest release for Moodle 3.7
  • Latest release for Moodle 3.8
  • Latest release for Moodle 3.9
  • Latest release for Moodle 3.10

Version control information

Version control system (VCS)
GIT
VCS repository URL
VCS tag
2020112000

Default installation instructions for plugins of the type General plugins (Local)

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder in the "local" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation.